# $Revision: 1.11 $, $Date: 2012/05/27 07:24:36 $
Summary:	Microcode definitions for Intel processors
Name:		microcode-data-intel
Version:	20111110
Release:	2
License:	INTEL SOFTWARE LICENSE AGREEMENT
Group:		Base
# http://downloadcenter.intel.com/, enter "processor microcode data file" to the search
Source0:	http://downloadmirror.intel.com/20728/eng/microcode-%{version}.tgz
# Source0-md5:	ba288eb9490986513e59c5a035c93a65
# Tool for splitting Intel's microcode file. From Fedora
Source1:	intel-microcode2ucode.c
Provides:	microcode-data
ExclusiveArch:	i686 pentium2 pentium3 pentium4 %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The microcode data file for Linux contains the latest microcode
definitions for all Intel processors.

%prep
%setup -q -c

%build
if ! grep -q 0x00000000 microcode.dat; then
	echo >&2 microcode.dat contains giberrish
	exit 1
fi

%{__cc} %{rpmcflags} %{rpmcppflags} %{rpmldflags} -Wall -o intel-microcode2ucode %{SOURCE1}
./intel-microcode2ucode microcode.dat > /dev/null || exit 1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/lib/firmware}

install intel-microcode2ucode $RPM_BUILD_ROOT%{_sbindir}
mv intel-ucode $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/intel-microcode2ucode
/lib/firmware/intel-ucode

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: microcode-data-intel.spec,v $
Revision 1.11  2012/05/27 07:24:36  arekm
- rel 2; use ucode format which is directly accessed by kernel module (no need for microcode_ctl)

Revision 1.10  2012/05/27 07:11:19  arekm
- easier search

Revision 1.9  2012/01/30 12:18:52  gzohop
 - up to 20111110

Revision 1.8  2011/08/16 12:10:34  charles
- updated to 20110428

Revision 1.7  2011/02/19 17:10:42  charles
- updated to 20101123

Revision 1.6  2010/10/28 21:58:41  gotar
- upgraded to 20100914 (skipping 19299/20100826 4f0922e5e0e97331fa63c085a74f80cf)

Revision 1.5  2010/03/21 09:43:51  bszx
- updated to 20100209

Revision 1.4  2009/08/17 12:28:10  glen
- use %x8664 macro

Revision 1.3  2009/08/17 12:27:10  glen
- restore gibberish check from microcode_ctl.spec

Revision 1.2  2009/08/15 20:16:03  arekm
- install microcode into /lib/firmware

Revision 1.1  2009/08/15 18:15:17  arekm
- initial
